#include<bits/stdc++.h>
using namespace std;
long long  ans,a[1000000],b[1000000],l,r,q,T,n,rr;
int main()
{
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	cin>>T>>n;
	for(int i=1;i<=n;i++)
	cin>>a[i];
	for(int i=1;i<=n;i++)
	cin>>b[i];
	cin>>q;
	for(int i=1;i<=64;i++)
	rr=2*rr;
	for(int i=1;i<=q;i++)
	{
		cin>>l>>r;
		ans=0;
		for(int j=l;j<=r;j++)
		for(int l=j;l<=r;l++)
		ans+=max(a[j],a[l])*max(b[j],b[l]);
		cout<<ans<<endl;
	}
	
}
